"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppModule = void 0;
const common_1 = require("@nestjs/common");
const cache_manager_1 = require("@nestjs/cache-manager");
const app_controller_1 = require("./app.controller");
const app_service_1 = require("./app.service");
const user_module_1 = require("./user/user.module");
const prisma_module_1 = require("./prisma/prisma.module");
const company_module_1 = require("./company/company.module");
const establishment_module_1 = require("./establishment/establishment.module");
const permission_module_1 = require("./permission/permission.module");
const role_module_1 = require("./role/role.module");
const permission_has_role_module_1 = require("./permission_has_role/permission_has_role.module");
const user_has_role_module_1 = require("./user_has_role/user_has_role.module");
const auth_module_1 = require("./auth/auth.module");
const categoria_module_1 = require("./categoria/categoria.module");
const autor_module_1 = require("./autor/autor.module");
const mailer_1 = require("@nestjs-modules/mailer");
const pug_adapter_1 = require("@nestjs-modules/mailer/dist/adapters/pug.adapter");
const livro_module_1 = require("./livro/livro.module");
const emprestimo_module_1 = require("./emprestimo/emprestimo.module");
const perfil_module_1 = require("./perfil/perfil.module");
const usuario_module_1 = require("./usuario/usuario.module");
const scdd_module_1 = require("./scdd/scdd.module");
const cutter_module_1 = require("./cutter/cutter.module");
const livro_autor_cutter_module_1 = require("./livro_autor_cutter/livro_autor_cutter.module");
const fornecedor_module_1 = require("./fornecedor/fornecedor.module");
const livro_scdd_module_1 = require("./livro_scdd/livro_scdd.module");
let AppModule = class AppModule {
};
AppModule = __decorate([
    (0, common_1.Module)({
        imports: [
            (0, common_1.forwardRef)(() => user_module_1.UserModule),
            (0, common_1.forwardRef)(() => auth_module_1.AuthModule),
            cache_manager_1.CacheModule.register(),
            prisma_module_1.PrismaModule,
            company_module_1.CompanyModule,
            establishment_module_1.EstablishmentModule,
            permission_module_1.PermissionModule,
            role_module_1.RoleModule,
            permission_has_role_module_1.PermissionHasRoleModule,
            user_has_role_module_1.UserHasRoleModule,
            categoria_module_1.CategoriaModule,
            autor_module_1.AutorModule,
            mailer_1.MailerModule.forRoot({
                transport: 'smtps://user@domain.com:pass@smtp.domain.com',
                defaults: {
                    from: '"nest-modules" <modules@nestjs.com>',
                },
                template: {
                    dir: __dirname + '/templates',
                    adapter: new pug_adapter_1.PugAdapter(),
                    options: {
                        strict: true,
                    },
                },
            }),
            livro_module_1.LivroModule,
            emprestimo_module_1.EmprestimoModule,
            perfil_module_1.PerfilModule,
            usuario_module_1.UsuarioModule,
            scdd_module_1.ScddModule,
            cutter_module_1.CutterModule,
            livro_autor_cutter_module_1.LivroAutorCutterModule,
            fornecedor_module_1.FornecedorModule,
            livro_scdd_module_1.LivroScddModule,
        ],
        controllers: [app_controller_1.AppController],
        providers: [app_service_1.AppService],
    })
], AppModule);
exports.AppModule = AppModule;
//# sourceMappingURL=app.module.js.map