import { AuthLoginDTO } from "./dto/auth-login.dto";
import { AuthForgetDTO } from "./dto/auth-forget.dto";
import { AuthResetDTO } from "./dto/auth-reset.dto";
import { UserService } from "src/user/user.service";
import { AuthRegisterDTO } from "./dto/auth-register.dto";
import { AuthService } from "./auth.service";
export declare class AuthController {
    private readonly userService;
    private readonly authService;
    constructor(userService: UserService, authService: AuthService);
    login({ email, password }: AuthLoginDTO): Promise<{
        token: string;
        user: {
            name: string;
            email: string;
            username: string;
        };
        permissions: {
            establishment_id: string;
            establishment: string;
            company_id: string;
            role: string;
            permissions: string[];
        }[];
    }>;
    register(data: AuthRegisterDTO): Promise<{
        token: string;
        user: {
            name: string;
            email: string;
            username: string;
        };
        permissions: {
            establishment_id: string;
            establishment: string;
            company_id: string;
            role: string;
            permissions: string[];
        }[];
    }>;
    forget({ email }: AuthForgetDTO): Promise<boolean>;
    reset({ password, token }: AuthResetDTO): Promise<{
        token: string;
        user: {
            name: string;
            email: string;
            username: string;
        };
        permissions: {
            establishment_id: string;
            establishment: string;
            company_id: string;
            role: string;
            permissions: string[];
        }[];
    }>;
    test(req: any): Promise<any>;
}
