import { JwtService } from "@nestjs/jwt";
import { User } from "@prisma/client";
import { PrismaService } from "src/prisma/prisma.service";
import { AuthRegisterDTO } from "./dto/auth-register.dto";
import { UserService } from "src/user/user.service";
import { Cache } from "cache-manager";
export declare class AuthService {
    private readonly jwtService;
    private readonly prisma;
    private readonly userService;
    private cacheManager;
    constructor(jwtService: JwtService, prisma: PrismaService, userService: UserService, cacheManager: Cache);
    createToken(user: User): Promise<{
        token: string;
        user: {
            name: string;
            email: string;
            username: string;
        };
        permissions: {
            establishment_id: string;
            establishment: string;
            company_id: string;
            role: string;
            permissions: string[];
        }[];
    }>;
    checkToken(token: string): any;
    isValidToken(token: string): boolean;
    login(email: string, password: string): Promise<{
        token: string;
        user: {
            name: string;
            email: string;
            username: string;
        };
        permissions: {
            establishment_id: string;
            establishment: string;
            company_id: string;
            role: string;
            permissions: string[];
        }[];
    }>;
    forget(email: string): Promise<boolean>;
    reset(password: string, token: string): Promise<{
        token: string;
        user: {
            name: string;
            email: string;
            username: string;
        };
        permissions: {
            establishment_id: string;
            establishment: string;
            company_id: string;
            role: string;
            permissions: string[];
        }[];
    }>;
    register(data: AuthRegisterDTO): Promise<{
        token: string;
        user: {
            name: string;
            email: string;
            username: string;
        };
        permissions: {
            establishment_id: string;
            establishment: string;
            company_id: string;
            role: string;
            permissions: string[];
        }[];
    }>;
}
