"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AutorController = void 0;
const common_1 = require("@nestjs/common");
const autor_service_1 = require("./autor.service");
const create_autor_dto_1 = require("./dto/create-autor.dto");
const update_autor_dto_1 = require("./dto/update-autor.dto");
const auth_guard_1 = require("../guards/auth.guard");
const company_decorator_1 = require("../decorators/company_decorator");
let AutorController = class AutorController {
    constructor(autorService) {
        this.autorService = autorService;
    }
    async create(createAutorDto, company_id) {
        createAutorDto.company_id = company_id;
        return this.autorService.create(createAutorDto);
    }
    async findAll(company_id) {
        return this.autorService.findAll(company_id);
    }
    async findOne(id) {
        return this.autorService.findOne(id);
    }
    async getRoles(filter, company_id) {
        return this.autorService.search(filter, company_id);
    }
    async update(id, updateAutorDto) {
        return this.autorService.update(id, updateAutorDto);
    }
    async remove(id) {
        return this.autorService.delete(id);
    }
};
__decorate([
    (0, common_1.Post)(),
    __param(0, (0, common_1.Body)()),
    __param(1, (0, company_decorator_1.Company)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [create_autor_dto_1.CreateAutorDto, Object]),
    __metadata("design:returntype", Promise)
], AutorController.prototype, "create", null);
__decorate([
    (0, common_1.Get)(),
    __param(0, (0, company_decorator_1.Company)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", Promise)
], AutorController.prototype, "findAll", null);
__decorate([
    (0, common_1.Get)(':id'),
    __param(0, (0, common_1.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", Promise)
], AutorController.prototype, "findOne", null);
__decorate([
    (0, common_1.Get)('search/:filter'),
    __param(0, (0, common_1.Param)('filter')),
    __param(1, (0, company_decorator_1.Company)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, Object]),
    __metadata("design:returntype", Promise)
], AutorController.prototype, "getRoles", null);
__decorate([
    (0, common_1.Put)(':id'),
    __param(0, (0, common_1.Param)('id')),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, update_autor_dto_1.UpdateAutorDto]),
    __metadata("design:returntype", Promise)
], AutorController.prototype, "update", null);
__decorate([
    (0, common_1.Delete)(':id'),
    __param(0, (0, common_1.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", Promise)
], AutorController.prototype, "remove", null);
AutorController = __decorate([
    (0, common_1.UseGuards)(auth_guard_1.AuthGuard),
    (0, common_1.Controller)('autor'),
    __metadata("design:paramtypes", [autor_service_1.AutorService])
], AutorController);
exports.AutorController = AutorController;
//# sourceMappingURL=autor.controller.js.map