"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CategoriaService = void 0;
const common_1 = require("@nestjs/common");
const prisma_service_1 = require("../prisma/prisma.service");
let CategoriaService = class CategoriaService {
    constructor(prisma) {
        this.prisma = prisma;
    }
    async create(data) {
        return this.prisma.categoria.create({ data });
    }
    async findAll(company_id) {
        return this.prisma.categoria.findMany({
            where: {
                status: 1,
                company_id
            },
            orderBy: {
                nome: 'asc'
            }
        });
    }
    async search(filter, company_id) {
        return this.prisma.categoria.findMany({
            where: {
                nome: {
                    contains: filter,
                    mode: 'insensitive',
                },
                status: 1,
                company_id
            },
        });
    }
    async findOne(id) {
        try {
            return await this.prisma.categoria.findUnique({
                where: {
                    id
                }
            });
        }
        catch (error) {
            throw new common_1.NotFoundException(`Nao encontramos categoria com este id  ${id}`);
        }
    }
    async update(id, data) {
        await this.ifExist(id);
        return this.prisma.categoria.update({
            data,
            where: {
                id
            }
        });
    }
    async delete(id) {
        await this.ifExist(id);
        return this.prisma.categoria.update({
            data: {
                status: 0
            },
            where: {
                id
            }
        });
    }
    async ifExist(id) {
        if (!(await this.findOne(id))) {
            throw new common_1.NotFoundException(`Nao encontramos categoria com este id  ${id}`);
        }
    }
};
CategoriaService = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [prisma_service_1.PrismaService])
], CategoriaService);
exports.CategoriaService = CategoriaService;
//# sourceMappingURL=categoria.service.js.map