"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsValidCPF = exports.IsValidCPFConstraint = void 0;
const class_validator_1 = require("class-validator");
function isValidCPF(cpf) {
    cpf = cpf.replace(/[^\d]+/g, '');
    if (cpf.length !== 11)
        return false;
    if (/^(\d)\1+$/.test(cpf))
        return false;
    let sum = 0;
    for (let i = 0; i < 9; i++) {
        sum += parseInt(cpf.charAt(i)) * (10 - i);
    }
    let remainder = 11 - (sum % 11);
    let digit = remainder > 9 ? 0 : remainder;
    if (digit !== parseInt(cpf.charAt(9)))
        return false;
    sum = 0;
    for (let i = 0; i < 10; i++) {
        sum += parseInt(cpf.charAt(i)) * (11 - i);
    }
    remainder = 11 - (sum % 11);
    digit = remainder > 9 ? 0 : remainder;
    return digit === parseInt(cpf.charAt(10));
}
let IsValidCPFConstraint = class IsValidCPFConstraint {
    validate(cpf, _args) {
        return isValidCPF(cpf);
    }
    defaultMessage(_args) {
        return 'CPF inválido!';
    }
};
IsValidCPFConstraint = __decorate([
    (0, class_validator_1.ValidatorConstraint)({ name: 'isValidCPF', async: false })
], IsValidCPFConstraint);
exports.IsValidCPFConstraint = IsValidCPFConstraint;
function IsValidCPF(validationOptions) {
    return function (object, propertyName) {
        (0, class_validator_1.registerDecorator)({
            name: 'isValidCPF',
            target: object.constructor,
            propertyName: propertyName,
            options: validationOptions,
            validator: IsValidCPFConstraint,
        });
    };
}
exports.IsValidCPF = IsValidCPF;
//# sourceMappingURL=cpf-validator.js.map