"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateEmprestimoDto = void 0;
const mapped_types_1 = require("@nestjs/mapped-types");
const create_emprestimo_dto_1 = require("./create-emprestimo.dto");
const class_validator_1 = require("class-validator");
const custom_validators_1 = require("../../custom-validators/custom-validators");
const class_transformer_1 = require("class-transformer");
class UpdateEmprestimoDto extends (0, mapped_types_1.PartialType)(create_emprestimo_dto_1.CreateEmprestimoDto) {
}
__decorate([
    (0, class_validator_1.IsString)({ message: 'A descrição deve ser uma string' }),
    __metadata("design:type", String)
], UpdateEmprestimoDto.prototype, "descricao", void 0);
__decorate([
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], UpdateEmprestimoDto.prototype, "status", void 0);
__decorate([
    (0, class_validator_1.IsNotEmpty)({ message: 'O campo livro_id não pode estar vazio' }),
    (0, class_validator_1.IsString)({ message: 'O campo livro_id deve ser uma string' }),
    __metadata("design:type", String)
], UpdateEmprestimoDto.prototype, "livro_id", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNotEmpty)({ message: 'O campo aluno_id não pode estar vazio' }),
    (0, class_validator_1.IsString)({ message: "aluno_id deve ser un numero" }),
    __metadata("design:type", String)
], UpdateEmprestimoDto.prototype, "aluno_id", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.Validate)(custom_validators_1.CustomTextValidator),
    __metadata("design:type", String)
], UpdateEmprestimoDto.prototype, "nome_aluno", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)({ message: 'O campo user_id deve ser uma string' }),
    __metadata("design:type", String)
], UpdateEmprestimoDto.prototype, "user_id", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNotEmpty)({ message: 'O campo establishment_id não pode estar vazio' }),
    (0, class_validator_1.IsString)({ message: 'O campo establishment_id deve ser uma string' }),
    __metadata("design:type", String)
], UpdateEmprestimoDto.prototype, "establishment_id", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsDateString)(),
    (0, class_transformer_1.Type)(() => class_validator_1.isISO8601),
    __metadata("design:type", Date)
], UpdateEmprestimoDto.prototype, "data_emprestimo", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsDateString)(),
    (0, class_transformer_1.Type)(() => class_validator_1.isISO8601),
    __metadata("design:type", Date)
], UpdateEmprestimoDto.prototype, "data_prazo", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsDateString)(),
    (0, class_transformer_1.Type)(() => class_validator_1.isISO8601),
    __metadata("design:type", Date)
], UpdateEmprestimoDto.prototype, "data_entrega", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", String)
], UpdateEmprestimoDto.prototype, "historico", void 0);
exports.UpdateEmprestimoDto = UpdateEmprestimoDto;
//# sourceMappingURL=update-emprestimo.dto.js.map