import { EmprestimoService } from './emprestimo.service';
import { CreateEmprestimoDto } from './dto/create-emprestimo.dto';
import { UpdateEmprestimoDto } from './dto/update-emprestimo.dto';
import { FinalizarEmprestimoDto } from './dto/finalizar-emprestimo';
import { FilterEmprestimoDto } from './dto/filter-emprestimo';
import { GraficoEmprestimoDto } from './dto/grafico-emprestimo';
export declare class EmprestimoController {
    private readonly emprestimoService;
    constructor(emprestimoService: EmprestimoService);
    create(createEmprestimoDto: CreateEmprestimoDto, user: any, estab_id: any): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        user_id: string;
        establishment_id: string;
        descricao: string;
        livro_id: string;
        aluno_id: string;
        nome_aluno: string;
        data_emprestimo: Date;
        data_prazo: Date;
        data_entrega: Date;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
    findAll(estab_id: any): Promise<({
        livro: {
            status: number;
            id: string;
            createdAt: Date;
            updatedAt: Date;
            establishment_id: string;
            descricao: string;
            historico: import(".prisma/client").Prisma.JsonValue;
            titulo: string;
            editorial: string;
            ano: number;
            fila: string;
            coluna: string;
            secao: string;
            codigo: string;
            categoria_id: string;
            fornecedor_id: string;
            edicao: number;
            volume: string;
            exemplar: number;
            total_paginas: number;
            custo: number;
            data_aquisicao: Date;
            tipo_aquisicion: string;
            scddId: string;
        } & {};
    } & {
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        user_id: string;
        establishment_id: string;
        descricao: string;
        livro_id: string;
        aluno_id: string;
        nome_aluno: string;
        data_emprestimo: Date;
        data_prazo: Date;
        data_entrega: Date;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {})[]>;
    search(estab_id: any, filter: FilterEmprestimoDto): Promise<({
        livro: {
            status: number;
            id: string;
            createdAt: Date;
            updatedAt: Date;
            establishment_id: string;
            descricao: string;
            historico: import(".prisma/client").Prisma.JsonValue;
            titulo: string;
            editorial: string;
            ano: number;
            fila: string;
            coluna: string;
            secao: string;
            codigo: string;
            categoria_id: string;
            fornecedor_id: string;
            edicao: number;
            volume: string;
            exemplar: number;
            total_paginas: number;
            custo: number;
            data_aquisicao: Date;
            tipo_aquisicion: string;
            scddId: string;
        } & {};
        aluno: {
            name: string;
            email: string;
            status: number;
            company_id: string;
            id: string;
            createdAt: Date;
            updatedAt: Date;
            establishment_id: string;
            cpf: string;
            rg_ci: string;
            telefone: string;
            semestre_atual: string;
            periodo: string;
            usuarios_id: number;
            catraca: number;
            perfil_id: string;
        } & {};
    } & {
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        user_id: string;
        establishment_id: string;
        descricao: string;
        livro_id: string;
        aluno_id: string;
        nome_aluno: string;
        data_emprestimo: Date;
        data_prazo: Date;
        data_entrega: Date;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {})[]>;
    finalizar(id: string, data: FinalizarEmprestimoDto, user_id: any): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        user_id: string;
        establishment_id: string;
        descricao: string;
        livro_id: string;
        aluno_id: string;
        nome_aluno: string;
        data_emprestimo: Date;
        data_prazo: Date;
        data_entrega: Date;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
    findOne(id: string): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        user_id: string;
        establishment_id: string;
        descricao: string;
        livro_id: string;
        aluno_id: string;
        nome_aluno: string;
        data_emprestimo: Date;
        data_prazo: Date;
        data_entrega: Date;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
    update(id: string, updateEmprestimoDto: UpdateEmprestimoDto, user_id: any): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        user_id: string;
        establishment_id: string;
        descricao: string;
        livro_id: string;
        aluno_id: string;
        nome_aluno: string;
        data_emprestimo: Date;
        data_prazo: Date;
        data_entrega: Date;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
    remove(id: string, user_id: any): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        user_id: string;
        establishment_id: string;
        descricao: string;
        livro_id: string;
        aluno_id: string;
        nome_aluno: string;
        data_emprestimo: Date;
        data_prazo: Date;
        data_entrega: Date;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
    getEmprestimosCompanyAno(company_id: any, data: GraficoEmprestimoDto): Promise<{
        meses: any[];
        numeros: unknown[];
    }>;
}
