"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmprestimoController = void 0;
const common_1 = require("@nestjs/common");
const emprestimo_service_1 = require("./emprestimo.service");
const create_emprestimo_dto_1 = require("./dto/create-emprestimo.dto");
const update_emprestimo_dto_1 = require("./dto/update-emprestimo.dto");
const auth_guard_1 = require("../guards/auth.guard");
const user_decorator_1 = require("../decorators/user.decorator");
const establishment_decorator_1 = require("../decorators/establishment.decorator");
const finalizar_emprestimo_1 = require("./dto/finalizar-emprestimo");
const filter_emprestimo_1 = require("./dto/filter-emprestimo");
const company_decorator_1 = require("../decorators/company_decorator");
const grafico_emprestimo_1 = require("./dto/grafico-emprestimo");
let EmprestimoController = class EmprestimoController {
    constructor(emprestimoService) {
        this.emprestimoService = emprestimoService;
    }
    create(createEmprestimoDto, user, estab_id) {
        if (user) {
            createEmprestimoDto.user_id = user;
            createEmprestimoDto.establishment_id = estab_id;
            console.log(createEmprestimoDto);
            return this.emprestimoService.create(createEmprestimoDto);
        }
        else {
            throw new common_1.BadRequestException("Não foi possivel identificar o user_id no token. Realizar login novamente.");
        }
    }
    findAll(estab_id) {
        return this.emprestimoService.findAll(estab_id);
    }
    search(estab_id, filter) {
        return this.emprestimoService.search(estab_id, filter);
    }
    finalizar(id, data, user_id) {
        return this.emprestimoService.finalizar(data, id, user_id);
    }
    findOne(id) {
        return this.emprestimoService.findOne(id);
    }
    update(id, updateEmprestimoDto, user_id) {
        return this.emprestimoService.update(id, updateEmprestimoDto, user_id);
    }
    remove(id, user_id) {
        return this.emprestimoService.delete(id, user_id);
    }
    getEmprestimosCompanyAno(company_id, data) {
        return this.emprestimoService.getEmprestimosPorAnoEContagem(company_id, data.ano);
    }
};
__decorate([
    (0, common_1.Post)(),
    __param(0, (0, common_1.Body)()),
    __param(1, (0, user_decorator_1.User)()),
    __param(2, (0, establishment_decorator_1.Establishment)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [create_emprestimo_dto_1.CreateEmprestimoDto, Object, Object]),
    __metadata("design:returntype", void 0)
], EmprestimoController.prototype, "create", null);
__decorate([
    (0, common_1.Get)(),
    __param(0, (0, establishment_decorator_1.Establishment)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", void 0)
], EmprestimoController.prototype, "findAll", null);
__decorate([
    (0, common_1.Post)('search'),
    __param(0, (0, establishment_decorator_1.Establishment)()),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, filter_emprestimo_1.FilterEmprestimoDto]),
    __metadata("design:returntype", void 0)
], EmprestimoController.prototype, "search", null);
__decorate([
    (0, common_1.Put)('finalizar:id'),
    __param(0, (0, common_1.Param)('id')),
    __param(1, (0, common_1.Body)()),
    __param(2, (0, user_decorator_1.User)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, finalizar_emprestimo_1.FinalizarEmprestimoDto, Object]),
    __metadata("design:returntype", void 0)
], EmprestimoController.prototype, "finalizar", null);
__decorate([
    (0, common_1.Get)(':id'),
    __param(0, (0, common_1.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], EmprestimoController.prototype, "findOne", null);
__decorate([
    (0, common_1.Put)(':id'),
    __param(0, (0, common_1.Param)('id')),
    __param(1, (0, common_1.Body)()),
    __param(2, (0, user_decorator_1.User)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, update_emprestimo_dto_1.UpdateEmprestimoDto, Object]),
    __metadata("design:returntype", void 0)
], EmprestimoController.prototype, "update", null);
__decorate([
    (0, common_1.Delete)(':id'),
    __param(0, (0, common_1.Param)('id')),
    __param(1, (0, user_decorator_1.User)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, Object]),
    __metadata("design:returntype", void 0)
], EmprestimoController.prototype, "remove", null);
__decorate([
    (0, common_1.Post)('graficos'),
    __param(0, (0, company_decorator_1.Company)()),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, grafico_emprestimo_1.GraficoEmprestimoDto]),
    __metadata("design:returntype", void 0)
], EmprestimoController.prototype, "getEmprestimosCompanyAno", null);
EmprestimoController = __decorate([
    (0, common_1.UseGuards)(auth_guard_1.AuthGuard),
    (0, common_1.Controller)('emprestimo'),
    __metadata("design:paramtypes", [emprestimo_service_1.EmprestimoService])
], EmprestimoController);
exports.EmprestimoController = EmprestimoController;
//# sourceMappingURL=emprestimo.controller.js.map