import { CreateEmprestimoDto } from './dto/create-emprestimo.dto';
import { UpdateEmprestimoDto } from './dto/update-emprestimo.dto';
import { PrismaService } from 'src/prisma/prisma.service';
import { DateTime } from 'luxon';
import { LivroService } from 'src/livro/livro.service';
import { FinalizarEmprestimoDto } from './dto/finalizar-emprestimo';
import { FilterEmprestimoDto } from './dto/filter-emprestimo';
import { UserService } from 'src/user/user.service';
export declare class EmprestimoService {
    private prisma;
    private livro;
    private readonly userService;
    constructor(prisma: PrismaService, livro: LivroService, userService: UserService);
    create(data: CreateEmprestimoDto): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        user_id: string;
        establishment_id: string;
        descricao: string;
        livro_id: string;
        aluno_id: string;
        nome_aluno: string;
        data_emprestimo: Date;
        data_prazo: Date;
        data_entrega: Date;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
    findAll(establishment_id: string): Promise<({
        livro: {
            status: number;
            id: string;
            createdAt: Date;
            updatedAt: Date;
            establishment_id: string;
            descricao: string;
            historico: import(".prisma/client").Prisma.JsonValue;
            titulo: string;
            editorial: string;
            ano: number;
            fila: string;
            coluna: string;
            secao: string;
            codigo: string;
            categoria_id: string;
            fornecedor_id: string;
            edicao: number;
            volume: string;
            exemplar: number;
            total_paginas: number;
            custo: number;
            data_aquisicao: Date;
            tipo_aquisicion: string;
            scddId: string;
        } & {};
    } & {
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        user_id: string;
        establishment_id: string;
        descricao: string;
        livro_id: string;
        aluno_id: string;
        nome_aluno: string;
        data_emprestimo: Date;
        data_prazo: Date;
        data_entrega: Date;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {})[]>;
    search(establishment_id: string, filter: FilterEmprestimoDto): Promise<({
        livro: {
            status: number;
            id: string;
            createdAt: Date;
            updatedAt: Date;
            establishment_id: string;
            descricao: string;
            historico: import(".prisma/client").Prisma.JsonValue;
            titulo: string;
            editorial: string;
            ano: number;
            fila: string;
            coluna: string;
            secao: string;
            codigo: string;
            categoria_id: string;
            fornecedor_id: string;
            edicao: number;
            volume: string;
            exemplar: number;
            total_paginas: number;
            custo: number;
            data_aquisicao: Date;
            tipo_aquisicion: string;
            scddId: string;
        } & {};
        aluno: {
            name: string;
            email: string;
            status: number;
            company_id: string;
            id: string;
            createdAt: Date;
            updatedAt: Date;
            establishment_id: string;
            cpf: string;
            rg_ci: string;
            telefone: string;
            semestre_atual: string;
            periodo: string;
            usuarios_id: number;
            catraca: number;
            perfil_id: string;
        } & {};
    } & {
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        user_id: string;
        establishment_id: string;
        descricao: string;
        livro_id: string;
        aluno_id: string;
        nome_aluno: string;
        data_emprestimo: Date;
        data_prazo: Date;
        data_entrega: Date;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {})[]>;
    findOne(id: string): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        user_id: string;
        establishment_id: string;
        descricao: string;
        livro_id: string;
        aluno_id: string;
        nome_aluno: string;
        data_emprestimo: Date;
        data_prazo: Date;
        data_entrega: Date;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
    update(id: string, data: UpdateEmprestimoDto, user_id: string): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        user_id: string;
        establishment_id: string;
        descricao: string;
        livro_id: string;
        aluno_id: string;
        nome_aluno: string;
        data_emprestimo: Date;
        data_prazo: Date;
        data_entrega: Date;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
    finalizar(data: FinalizarEmprestimoDto, id: string, user_id: any): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        user_id: string;
        establishment_id: string;
        descricao: string;
        livro_id: string;
        aluno_id: string;
        nome_aluno: string;
        data_emprestimo: Date;
        data_prazo: Date;
        data_entrega: Date;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
    delete(id: string, user_id: string): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        user_id: string;
        establishment_id: string;
        descricao: string;
        livro_id: string;
        aluno_id: string;
        nome_aluno: string;
        data_emprestimo: Date;
        data_prazo: Date;
        data_entrega: Date;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
    ifExist(id: string): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        user_id: string;
        establishment_id: string;
        descricao: string;
        livro_id: string;
        aluno_id: string;
        nome_aluno: string;
        data_emprestimo: Date;
        data_prazo: Date;
        data_entrega: Date;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {}>;
    verifLivro(id: string): Promise<void>;
    trocarLivro(livro_id: string, status_emprestimo: number, new_livro_id: string): Promise<void>;
    formatDatas(date: DateTime): Promise<any>;
    getEmprestimosCompanyAno(company_id: string, ano: string): Promise<({
        establishment: {
            company_id: string;
        };
    } & {
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        user_id: string;
        establishment_id: string;
        descricao: string;
        livro_id: string;
        aluno_id: string;
        nome_aluno: string;
        data_emprestimo: Date;
        data_prazo: Date;
        data_entrega: Date;
        historico: import(".prisma/client").Prisma.JsonValue;
    } & {})[]>;
    getEmprestimosPorAnoEContagem(company_id: string, ano: string): Promise<{
        meses: any[];
        numeros: unknown[];
    }>;
}
