"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateLivroDto = void 0;
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
const custom_validators_1 = require("../../custom-validators/custom-validators");
class CreateLivroDto {
}
__decorate([
    (0, class_validator_1.IsNotEmpty)({ message: "El titulo no debe estar vazio" }),
    (0, class_validator_1.Validate)(custom_validators_1.CustomTextValidator),
    (0, class_validator_1.IsString)({ message: "O campo titulo deve ser uma string e não pode ser vazio" }),
    (0, class_transformer_1.Transform)(({ value }) => value.trim()),
    __metadata("design:type", String)
], CreateLivroDto.prototype, "titulo", void 0);
__decorate([
    (0, class_validator_1.Validate)(custom_validators_1.CustomTextValidator),
    __metadata("design:type", String)
], CreateLivroDto.prototype, "editorial", void 0);
__decorate([
    (0, class_validator_1.IsNumber)({}, { message: "El campo status debe ser un numero" }),
    __metadata("design:type", Number)
], CreateLivroDto.prototype, "status", void 0);
__decorate([
    (0, class_validator_1.IsNotEmpty)({ message: "El año del libro no debe estar vazio" }),
    (0, class_validator_1.IsNumber)({}, { message: "El campo año debe ser un numero" }),
    __metadata("design:type", Number)
], CreateLivroDto.prototype, "ano", void 0);
__decorate([
    (0, class_validator_1.IsNotEmpty)({ message: "El campo Fila no puede ser vazio" }),
    (0, class_validator_1.IsString)({ message: "El campo Fila debe ser un texto" }),
    __metadata("design:type", String)
], CreateLivroDto.prototype, "fila", void 0);
__decorate([
    (0, class_validator_1.IsNotEmpty)({ message: "El campo Coluna no puede ser vazio" }),
    (0, class_validator_1.IsString)({ message: "El campo Colula debe ser un texto" }),
    __metadata("design:type", String)
], CreateLivroDto.prototype, "coluna", void 0);
__decorate([
    (0, class_validator_1.IsNotEmpty)({ message: "El campo Seccion no puede ser vazio" }),
    (0, class_validator_1.IsString)({ message: "El campo Seccion debe ser un texto" }),
    __metadata("design:type", String)
], CreateLivroDto.prototype, "secao", void 0);
__decorate([
    (0, class_validator_1.IsNotEmpty)({ message: "El Codigo no puede ser vazio" }),
    (0, class_validator_1.IsString)({ message: "El Codigo debe ser una string" }),
    __metadata("design:type", String)
], CreateLivroDto.prototype, "codigo", void 0);
__decorate([
    (0, class_validator_1.IsNotEmpty)({ message: "Es necessário vincular por lo menos un código SCDD al crear el libro" }),
    (0, class_validator_1.IsArray)({ message: "El Codigo SCDD debe ser una lista con uno o mas codigos" }),
    __metadata("design:type", Array)
], CreateLivroDto.prototype, "lista_scdd", void 0);
__decorate([
    (0, class_validator_1.IsNotEmpty)({ message: "Es necessário vincular por lo menos un AUTOR para crear el libro" }),
    (0, class_validator_1.IsArray)({ message: "lista_autores debe ser una lista con uno o mas id de autores" }),
    __metadata("design:type", Array)
], CreateLivroDto.prototype, "lista_autores", void 0);
__decorate([
    (0, class_validator_1.IsNotEmpty)({ message: "El campo CUTTER debe estar selecionado" }),
    (0, class_validator_1.IsString)({ message: "El campo cutter_id debe ser un texto" }),
    __metadata("design:type", String)
], CreateLivroDto.prototype, "cutter_id", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)({ message: "El campo Categoria_id debe ser un texto" }),
    __metadata("design:type", String)
], CreateLivroDto.prototype, "categoria_id", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CreateLivroDto.prototype, "descricao", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CreateLivroDto.prototype, "establishment_id", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)({ message: "El campo fornecedor_id debe ser un texto" }),
    __metadata("design:type", String)
], CreateLivroDto.prototype, "fornecedor_id", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)({}, { message: "El campo edicion debe ser un numero" }),
    __metadata("design:type", Number)
], CreateLivroDto.prototype, "edicao", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)({}, { message: "El campo volume debe ser un numero" }),
    __metadata("design:type", String)
], CreateLivroDto.prototype, "volume", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)({}, { message: "El campo exemplar debe ser un numero" }),
    __metadata("design:type", Number)
], CreateLivroDto.prototype, "exemplar", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)({}, { message: "El campo total_paginas debe ser un numero" }),
    __metadata("design:type", Number)
], CreateLivroDto.prototype, "total_paginas", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)({}, { message: "El campo costo debe ser un numero" }),
    __metadata("design:type", Number)
], CreateLivroDto.prototype, "custo", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsDateString)({}, { message: "data_aquisicao debe ser una string de datas" }),
    __metadata("design:type", Date)
], CreateLivroDto.prototype, "data_aquisicao", void 0);
exports.CreateLivroDto = CreateLivroDto;
//# sourceMappingURL=create-livro.dto.js.map