import { CreateLivroDto } from './dto/create-livro.dto';
import { UpdateLivroDto } from './dto/update-livro.dto';
import { LivroService } from './livro.service';
import { LivroScddService } from 'src/livro_scdd/livro_scdd.service';
import { LivroAutorCutterService } from 'src/livro_autor_cutter/livro_autor_cutter.service';
export declare class LivroController {
    private readonly livroService;
    private readonly livroScddService;
    private readonly livroAutorService;
    constructor(livroService: LivroService, livroScddService: LivroScddService, livroAutorService: LivroAutorCutterService);
    create(data: CreateLivroDto, estab_id: any, user_id: any): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
        descricao: string;
        historico: import(".prisma/client").Prisma.JsonValue;
        titulo: string;
        editorial: string;
        ano: number;
        fila: string;
        coluna: string;
        secao: string;
        codigo: string;
        categoria_id: string;
        fornecedor_id: string;
        edicao: number;
        volume: string;
        exemplar: number;
        total_paginas: number;
        custo: number;
        data_aquisicao: Date;
        tipo_aquisicion: string;
        scddId: string;
    } & {}>;
    findAllEstabelecimento(estab: any): Promise<({
        categoria: {
            nome: string;
            id: string;
        };
        Livro_scdd: ({
            scdd: {
                name: string;
                id: string;
                descricao: string;
            };
        } & {
            status: number;
            id: string;
            createdAt: Date;
            updatedAt: Date;
            livro_id: string;
            historico: import(".prisma/client").Prisma.JsonValue;
            scdd_id: string;
        } & {})[];
        Livro_autor: ({
            Autor: {
                nome: string;
                id: string;
            };
            Cutter: {
                name: string;
                id: string;
            };
        } & {
            status: number;
            id: string;
            createdAt: Date;
            updatedAt: Date;
            livro_id: string;
            cutter_id: string;
            autor_id: string;
        } & {})[];
    } & {
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
        descricao: string;
        historico: import(".prisma/client").Prisma.JsonValue;
        titulo: string;
        editorial: string;
        ano: number;
        fila: string;
        coluna: string;
        secao: string;
        codigo: string;
        categoria_id: string;
        fornecedor_id: string;
        edicao: number;
        volume: string;
        exemplar: number;
        total_paginas: number;
        custo: number;
        data_aquisicao: Date;
        tipo_aquisicion: string;
        scddId: string;
    } & {})[]>;
    findAll(text: string): Promise<{
        company: string;
        establisment: string;
        titulo: string;
        editorial: string;
        edicao: number;
        ano: number;
        status: number;
        autores: string[];
    }[]>;
    getRoles(data: UpdateLivroDto, estab: any): Promise<({
        categoria: {
            nome: string;
            id: string;
        };
    } & {
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
        descricao: string;
        historico: import(".prisma/client").Prisma.JsonValue;
        titulo: string;
        editorial: string;
        ano: number;
        fila: string;
        coluna: string;
        secao: string;
        codigo: string;
        categoria_id: string;
        fornecedor_id: string;
        edicao: number;
        volume: string;
        exemplar: number;
        total_paginas: number;
        custo: number;
        data_aquisicao: Date;
        tipo_aquisicion: string;
        scddId: string;
    } & {})[]>;
    findOne(id: string): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
        descricao: string;
        historico: import(".prisma/client").Prisma.JsonValue;
        titulo: string;
        editorial: string;
        ano: number;
        fila: string;
        coluna: string;
        secao: string;
        codigo: string;
        categoria_id: string;
        fornecedor_id: string;
        edicao: number;
        volume: string;
        exemplar: number;
        total_paginas: number;
        custo: number;
        data_aquisicao: Date;
        tipo_aquisicion: string;
        scddId: string;
    } & {}>;
    findStatus(num: number, estab: any): Promise<({
        categoria: {
            nome: string;
            id: string;
        };
    } & {
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
        descricao: string;
        historico: import(".prisma/client").Prisma.JsonValue;
        titulo: string;
        editorial: string;
        ano: number;
        fila: string;
        coluna: string;
        secao: string;
        codigo: string;
        categoria_id: string;
        fornecedor_id: string;
        edicao: number;
        volume: string;
        exemplar: number;
        total_paginas: number;
        custo: number;
        data_aquisicao: Date;
        tipo_aquisicion: string;
        scddId: string;
    } & {})[]>;
    update(id: string, data: UpdateLivroDto): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
        descricao: string;
        historico: import(".prisma/client").Prisma.JsonValue;
        titulo: string;
        editorial: string;
        ano: number;
        fila: string;
        coluna: string;
        secao: string;
        codigo: string;
        categoria_id: string;
        fornecedor_id: string;
        edicao: number;
        volume: string;
        exemplar: number;
        total_paginas: number;
        custo: number;
        data_aquisicao: Date;
        tipo_aquisicion: string;
        scddId: string;
    } & {}>;
    remove(id: string): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
        descricao: string;
        historico: import(".prisma/client").Prisma.JsonValue;
        titulo: string;
        editorial: string;
        ano: number;
        fila: string;
        coluna: string;
        secao: string;
        codigo: string;
        categoria_id: string;
        fornecedor_id: string;
        edicao: number;
        volume: string;
        exemplar: number;
        total_paginas: number;
        custo: number;
        data_aquisicao: Date;
        tipo_aquisicion: string;
        scddId: string;
    } & {}>;
}
