"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LivroController = void 0;
const common_1 = require("@nestjs/common");
const create_livro_dto_1 = require("./dto/create-livro.dto");
const update_livro_dto_1 = require("./dto/update-livro.dto");
const auth_guard_1 = require("../guards/auth.guard");
const establishment_decorator_1 = require("../decorators/establishment.decorator");
const livro_service_1 = require("./livro.service");
const livro_scdd_service_1 = require("../livro_scdd/livro_scdd.service");
const user_decorator_1 = require("../decorators/user.decorator");
const livro_autor_cutter_service_1 = require("../livro_autor_cutter/livro_autor_cutter.service");
let LivroController = class LivroController {
    constructor(livroService, livroScddService, livroAutorService) {
        this.livroService = livroService;
        this.livroScddService = livroScddService;
        this.livroAutorService = livroAutorService;
    }
    async create(data, estab_id, user_id) {
        const list_scdd = data.lista_scdd;
        const list_autores = data.lista_autores;
        const cutter_id = data.cutter_id;
        delete (data.lista_scdd);
        delete (data.lista_autores);
        delete (data.cutter_id);
        const livro = await this.livroService.create(data, estab_id);
        if (livro) {
            await this.livroScddService.createMany(list_scdd, user_id, livro.id);
            const autores = await this.livroAutorService.createMany({ livro_id: livro.id, autors: list_autores, cutter_id: cutter_id, status: 1 });
            console.log(autores);
        }
        return livro;
    }
    async findAllEstabelecimento(estab) {
        return this.livroService.findAllEstabelecimento(estab);
    }
    async findAll(text) {
        return this.livroService.findAll(text);
    }
    async getRoles(data, estab) {
        return this.livroService.search(data, estab);
    }
    async findOne(id) {
        return this.livroService.findOne(id);
    }
    async findStatus(num, estab) {
        console.log(num);
        return this.livroService.findStatus(estab, Number(num));
    }
    async update(id, data) {
        console.log(data);
        return this.livroService.update(id, data);
    }
    async remove(id) {
        return this.livroService.delete(id);
    }
};
__decorate([
    (0, common_1.UseGuards)(auth_guard_1.AuthGuard),
    (0, common_1.Post)(),
    __param(0, (0, common_1.Body)()),
    __param(1, (0, establishment_decorator_1.Establishment)()),
    __param(2, (0, user_decorator_1.User)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [create_livro_dto_1.CreateLivroDto, Object, Object]),
    __metadata("design:returntype", Promise)
], LivroController.prototype, "create", null);
__decorate([
    (0, common_1.UseGuards)(auth_guard_1.AuthGuard),
    (0, common_1.Get)(),
    __param(0, (0, establishment_decorator_1.Establishment)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", Promise)
], LivroController.prototype, "findAllEstabelecimento", null);
__decorate([
    (0, common_1.Get)('searchAll/:text'),
    __param(0, (0, common_1.Param)('text')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", Promise)
], LivroController.prototype, "findAll", null);
__decorate([
    (0, common_1.UseGuards)(auth_guard_1.AuthGuard),
    (0, common_1.Post)('search'),
    __param(0, (0, common_1.Body)()),
    __param(1, (0, establishment_decorator_1.Establishment)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [update_livro_dto_1.UpdateLivroDto, Object]),
    __metadata("design:returntype", Promise)
], LivroController.prototype, "getRoles", null);
__decorate([
    (0, common_1.UseGuards)(auth_guard_1.AuthGuard),
    (0, common_1.Get)(':id'),
    __param(0, (0, common_1.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", Promise)
], LivroController.prototype, "findOne", null);
__decorate([
    (0, common_1.UseGuards)(auth_guard_1.AuthGuard),
    (0, common_1.Get)('status/:num'),
    __param(0, (0, common_1.Param)('num')),
    __param(1, (0, establishment_decorator_1.Establishment)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Number, Object]),
    __metadata("design:returntype", Promise)
], LivroController.prototype, "findStatus", null);
__decorate([
    (0, common_1.UseGuards)(auth_guard_1.AuthGuard),
    (0, common_1.Put)(':id'),
    __param(0, (0, common_1.Param)('id')),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, update_livro_dto_1.UpdateLivroDto]),
    __metadata("design:returntype", Promise)
], LivroController.prototype, "update", null);
__decorate([
    (0, common_1.UseGuards)(auth_guard_1.AuthGuard),
    (0, common_1.Delete)(':id'),
    __param(0, (0, common_1.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", Promise)
], LivroController.prototype, "remove", null);
LivroController = __decorate([
    (0, common_1.Controller)('livro'),
    __metadata("design:paramtypes", [livro_service_1.LivroService, livro_scdd_service_1.LivroScddService, livro_autor_cutter_service_1.LivroAutorCutterService])
], LivroController);
exports.LivroController = LivroController;
//# sourceMappingURL=livro.controller.js.map