import { CreateLivroDto } from './dto/create-livro.dto';
import { UpdateLivroDto } from './dto/update-livro.dto';
import { PrismaService } from 'src/prisma/prisma.service';
export declare class LivroService {
    private prisma;
    constructor(prisma: PrismaService);
    create(data: CreateLivroDto, estab_id: string): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
        descricao: string;
        historico: import(".prisma/client").Prisma.JsonValue;
        titulo: string;
        editorial: string;
        ano: number;
        fila: string;
        coluna: string;
        secao: string;
        codigo: string;
        categoria_id: string;
        fornecedor_id: string;
        edicao: number;
        volume: string;
        exemplar: number;
        total_paginas: number;
        custo: number;
        data_aquisicao: Date;
        tipo_aquisicion: string;
        scddId: string;
    } & {}>;
    findAllEstabelecimento(establishment_id: string): Promise<({
        categoria: {
            nome: string;
            id: string;
        };
        Livro_scdd: ({
            scdd: {
                name: string;
                id: string;
                descricao: string;
            };
        } & {
            status: number;
            id: string;
            createdAt: Date;
            updatedAt: Date;
            livro_id: string;
            historico: import(".prisma/client").Prisma.JsonValue;
            scdd_id: string;
        } & {})[];
        Livro_autor: ({
            Autor: {
                nome: string;
                id: string;
            };
            Cutter: {
                name: string;
                id: string;
            };
        } & {
            status: number;
            id: string;
            createdAt: Date;
            updatedAt: Date;
            livro_id: string;
            cutter_id: string;
            autor_id: string;
        } & {})[];
    } & {
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
        descricao: string;
        historico: import(".prisma/client").Prisma.JsonValue;
        titulo: string;
        editorial: string;
        ano: number;
        fila: string;
        coluna: string;
        secao: string;
        codigo: string;
        categoria_id: string;
        fornecedor_id: string;
        edicao: number;
        volume: string;
        exemplar: number;
        total_paginas: number;
        custo: number;
        data_aquisicao: Date;
        tipo_aquisicion: string;
        scddId: string;
    } & {})[]>;
    findAll(text: string): Promise<{
        company: string;
        establisment: string;
        titulo: string;
        editorial: string;
        edicao: number;
        ano: number;
        status: number;
        autores: string[];
    }[]>;
    search(filter: UpdateLivroDto, establishment_id: string): Promise<({
        categoria: {
            nome: string;
            id: string;
        };
    } & {
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
        descricao: string;
        historico: import(".prisma/client").Prisma.JsonValue;
        titulo: string;
        editorial: string;
        ano: number;
        fila: string;
        coluna: string;
        secao: string;
        codigo: string;
        categoria_id: string;
        fornecedor_id: string;
        edicao: number;
        volume: string;
        exemplar: number;
        total_paginas: number;
        custo: number;
        data_aquisicao: Date;
        tipo_aquisicion: string;
        scddId: string;
    } & {})[]>;
    findStatus(establishment_id: string, status: number): Promise<({
        categoria: {
            nome: string;
            id: string;
        };
    } & {
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
        descricao: string;
        historico: import(".prisma/client").Prisma.JsonValue;
        titulo: string;
        editorial: string;
        ano: number;
        fila: string;
        coluna: string;
        secao: string;
        codigo: string;
        categoria_id: string;
        fornecedor_id: string;
        edicao: number;
        volume: string;
        exemplar: number;
        total_paginas: number;
        custo: number;
        data_aquisicao: Date;
        tipo_aquisicion: string;
        scddId: string;
    } & {})[]>;
    findOne(id: string): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
        descricao: string;
        historico: import(".prisma/client").Prisma.JsonValue;
        titulo: string;
        editorial: string;
        ano: number;
        fila: string;
        coluna: string;
        secao: string;
        codigo: string;
        categoria_id: string;
        fornecedor_id: string;
        edicao: number;
        volume: string;
        exemplar: number;
        total_paginas: number;
        custo: number;
        data_aquisicao: Date;
        tipo_aquisicion: string;
        scddId: string;
    } & {}>;
    update(id: string, data: UpdateLivroDto): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
        descricao: string;
        historico: import(".prisma/client").Prisma.JsonValue;
        titulo: string;
        editorial: string;
        ano: number;
        fila: string;
        coluna: string;
        secao: string;
        codigo: string;
        categoria_id: string;
        fornecedor_id: string;
        edicao: number;
        volume: string;
        exemplar: number;
        total_paginas: number;
        custo: number;
        data_aquisicao: Date;
        tipo_aquisicion: string;
        scddId: string;
    } & {}>;
    updateStatus(id: string, status: number): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
        descricao: string;
        historico: import(".prisma/client").Prisma.JsonValue;
        titulo: string;
        editorial: string;
        ano: number;
        fila: string;
        coluna: string;
        secao: string;
        codigo: string;
        categoria_id: string;
        fornecedor_id: string;
        edicao: number;
        volume: string;
        exemplar: number;
        total_paginas: number;
        custo: number;
        data_aquisicao: Date;
        tipo_aquisicion: string;
        scddId: string;
    } & {}>;
    delete(id: string): Promise<{
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
        descricao: string;
        historico: import(".prisma/client").Prisma.JsonValue;
        titulo: string;
        editorial: string;
        ano: number;
        fila: string;
        coluna: string;
        secao: string;
        codigo: string;
        categoria_id: string;
        fornecedor_id: string;
        edicao: number;
        volume: string;
        exemplar: number;
        total_paginas: number;
        custo: number;
        data_aquisicao: Date;
        tipo_aquisicion: string;
        scddId: string;
    } & {}>;
    ifExist(id: string): Promise<void>;
    formatDatas(date: Date): Promise<any>;
}
