"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LivroAutorCutterService = void 0;
const common_1 = require("@nestjs/common");
const prisma_service_1 = require("../prisma/prisma.service");
let LivroAutorCutterService = class LivroAutorCutterService {
    constructor(prisma) {
        this.prisma = prisma;
    }
    create(data) {
        data.status = 1;
        return this.prisma.livro_autor_cutter.create({ data });
    }
    createMany(dados) {
        if (dados.autors.length > 0) {
            var data = [];
            dados.autors.forEach(iten => {
                data.push({ livro_id: dados.livro_id, autor_id: iten, cutter_id: dados.cutter_id, status: 1 });
            });
            return this.prisma.livro_autor_cutter.createMany({ data });
        }
    }
    findAll(livro_id) {
        return this.prisma.livro_autor_cutter.findMany({
            where: {
                status: 1,
                livro_id: livro_id,
            },
            include: {
                Autor: true
            }
        });
    }
    async findOne(id) {
        try {
            return await this.prisma.livro_autor_cutter.findUnique({
                where: {
                    id
                }
            });
        }
        catch (error) {
            throw new common_1.NotFoundException(`Nao existe Livro com este id  ${id}`);
        }
    }
    async update(id, data) {
        await this.ifExist(id);
        return await this.prisma.livro_autor_cutter.update({
            data,
            where: {
                id
            }
        });
    }
    async updateStatus(id, status) {
        await this.ifExist(id);
        return await this.prisma.livro_autor_cutter.update({
            data: {
                status: status
            },
            where: {
                id
            }
        });
    }
    async delete(id) {
        await this.ifExist(id);
        return this.prisma.livro_autor_cutter.update({
            data: {
                status: 0
            },
            where: {
                id
            }
        });
    }
    async ifExist(id) {
        if (!(await this.findOne(id))) {
            throw new common_1.NotFoundException(`Nao existe livro com este id  ${id}`);
        }
    }
};
LivroAutorCutterService = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [prisma_service_1.PrismaService])
], LivroAutorCutterService);
exports.LivroAutorCutterService = LivroAutorCutterService;
//# sourceMappingURL=livro_autor_cutter.service.js.map