"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LivroScddController = void 0;
const common_1 = require("@nestjs/common");
const livro_scdd_service_1 = require("./livro_scdd.service");
const create_livro_scdd_dto_1 = require("./dto/create-livro_scdd.dto");
const update_livro_scdd_dto_1 = require("./dto/update-livro_scdd.dto");
const user_decorator_1 = require("../decorators/user.decorator");
const auth_guard_1 = require("../guards/auth.guard");
let LivroScddController = class LivroScddController {
    constructor(livroScddService) {
        this.livroScddService = livroScddService;
    }
    create(data, user_id) {
        return this.livroScddService.create(data, user_id);
    }
    getLivroId(livro_id) {
        return this.livroScddService.getLivroId(livro_id);
    }
    update(id, data, user_id) {
        return this.livroScddService.update(id, data, user_id);
    }
    remove(id, user_id) {
        return this.livroScddService.delete(id, user_id);
    }
};
__decorate([
    (0, common_1.Post)(),
    __param(0, (0, common_1.Body)()),
    __param(1, (0, user_decorator_1.User)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [create_livro_scdd_dto_1.CreateLivroScddDto, Object]),
    __metadata("design:returntype", void 0)
], LivroScddController.prototype, "create", null);
__decorate([
    (0, common_1.Get)(':id'),
    __param(0, (0, common_1.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], LivroScddController.prototype, "getLivroId", null);
__decorate([
    (0, common_1.Put)(':id'),
    __param(0, (0, common_1.Param)('id')),
    __param(1, (0, common_1.Body)()),
    __param(2, (0, user_decorator_1.User)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, update_livro_scdd_dto_1.UpdateLivroScddDto, Object]),
    __metadata("design:returntype", void 0)
], LivroScddController.prototype, "update", null);
__decorate([
    (0, common_1.Delete)(':id'),
    __param(0, (0, common_1.Param)('id')),
    __param(1, (0, user_decorator_1.User)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, Object]),
    __metadata("design:returntype", void 0)
], LivroScddController.prototype, "remove", null);
LivroScddController = __decorate([
    (0, common_1.UseGuards)(auth_guard_1.AuthGuard),
    (0, common_1.Controller)('livro-scdd'),
    __metadata("design:paramtypes", [livro_scdd_service_1.LivroScddService])
], LivroScddController);
exports.LivroScddController = LivroScddController;
//# sourceMappingURL=livro_scdd.controller.js.map