"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@nestjs/core");
const app_module_1 = require("./app.module");
const client_1 = require("@prisma/client");
const common_1 = require("@nestjs/common");
async function bootstrap() {
    const app = await core_1.NestFactory.create(app_module_1.AppModule);
    app.useGlobalPipes(new common_1.ValidationPipe());
    const prisma = new client_1.PrismaClient();
    app.use((req, _, next) => {
        req['prisma'] = prisma;
        next();
    });
    app.enableCors();
    await app.listen(5172);
}
bootstrap();
//# sourceMappingURL=main.js.map