import { PermissionService } from './permission.service';
import { CreatePermissionDto } from './dto/create-permission.dto';
import { UpdatePermissionDto } from './dto/update-permission.dto';
export declare class PermissionController {
    private readonly permissionService;
    constructor(permissionService: PermissionService);
    create(createPermissionDto: CreatePermissionDto): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
    } & {}>;
    findAll(): Promise<{
        name: string;
        createdAt: Date;
        updatedAt: Date;
        status: number;
        id: string;
    }[]>;
    findOne(id: string): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
    } & {}>;
    getRoles(filter: string): Promise<({
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
    } & {})[]>;
    update(id: string, updatePermissionDto: UpdatePermissionDto): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
    } & {}>;
    remove(id: string): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
    } & {}>;
}
