import { CreatePermissionDto } from './dto/create-permission.dto';
import { UpdatePermissionDto } from './dto/update-permission.dto';
import { PrismaService } from 'src/prisma/prisma.service';
export declare class PermissionService {
    private prisma;
    constructor(prisma: PrismaService);
    create(data: CreatePermissionDto): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
    } & {}>;
    findAll(): Promise<{
        name: string;
        createdAt: Date;
        updatedAt: Date;
        status: number;
        id: string;
    }[]>;
    findOne(id: string): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
    } & {}>;
    search(filter: string): Promise<({
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
    } & {})[]>;
    update(id: string, data: UpdatePermissionDto): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
    } & {}>;
    remove(id: string): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
    } & {}>;
    ifExist(id: string): Promise<void>;
}
