"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PermissionHasRoleService = void 0;
const common_1 = require("@nestjs/common");
const prisma_service_1 = require("../prisma/prisma.service");
let PermissionHasRoleService = class PermissionHasRoleService {
    constructor(prisma) {
        this.prisma = prisma;
    }
    async create(data) {
        if (data.permissions) {
            return this.createMany(data);
        }
        else {
            return this.prisma.permission_has_role.create({ data });
        }
    }
    async createMany(data) {
        const roles = [];
        data.permissions.forEach(element => {
            roles.push({ role_id: data.role_id, permission_id: element });
        });
        return this.prisma.permission_has_role.createMany({ data: roles });
    }
    async findAll() {
        return this.prisma.permission_has_role.findMany({
            include: {
                role: {
                    select: {
                        name: true
                    }
                },
                permission: {
                    select: {
                        name: true
                    }
                }
            },
        });
    }
    async permissiosRole(id) {
        return this.prisma.permission_has_role.findMany({
            where: {
                role_id: id
            },
            include: {
                role: {
                    select: {
                        name: true
                    }
                },
                permission: {
                    select: {
                        name: true
                    }
                }
            },
            orderBy: {
                permission: {
                    name: "asc"
                }
            }
        });
    }
    async findOne(id) {
        return this.prisma.permission_has_role.findUnique({
            where: {
                id
            },
        });
    }
    deleteAll(role_id) {
        return this.prisma.permission_has_role.deleteMany({
            where: {
                role_id: role_id
            }
        });
    }
    remove(id) {
        return this.prisma.permission_has_role.delete({
            where: {
                id
            }
        });
    }
};
PermissionHasRoleService = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [prisma_service_1.PrismaService])
], PermissionHasRoleService);
exports.PermissionHasRoleService = PermissionHasRoleService;
//# sourceMappingURL=permission_has_role.service.js.map