import { RoleService } from './role.service';
import { CreateRoleDto } from './dto/create-role.dto';
import { UpdateRoleDto } from './dto/update-role.dto';
export declare class RoleController {
    private readonly roleService;
    constructor(roleService: RoleService);
    create(createRoleDto: CreateRoleDto): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
    } & {}>;
    findAll(estab: any): Promise<{
        id: string;
        name: string;
        establishment_id: string;
        status: number;
        createdAt: Date;
        updatedAt: Date;
        users: {
            name: string;
            id: string;
        }[];
        permissions: string[];
    }[]>;
    findOne(id: string): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
    } & {}>;
    update(id: string, updateRoleDto: UpdateRoleDto): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
    } & {}>;
    remove(id: string): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
    } & {}>;
}
