import { CreateRoleDto } from './dto/create-role.dto';
import { UpdateRoleDto } from './dto/update-role.dto';
import { PrismaService } from 'src/prisma/prisma.service';
import { PermissionHasRoleService } from 'src/permission_has_role/permission_has_role.service';
export declare class RoleService {
    private prisma;
    private permisson_has_role;
    constructor(prisma: PrismaService, permisson_has_role: PermissionHasRoleService);
    create(data: CreateRoleDto): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
    } & {}>;
    findAll(establishment_id: string): Promise<{
        id: string;
        name: string;
        establishment_id: string;
        status: number;
        createdAt: Date;
        updatedAt: Date;
        users: {
            name: string;
            id: string;
        }[];
        permissions: string[];
    }[]>;
    findOne(id: string): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
    } & {}>;
    update(id: string, data: UpdateRoleDto): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
    } & {}>;
    remove(id: string): Promise<{
        name: string;
        status: number;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
    } & {}>;
    ifExist(id: string): Promise<void>;
}
