"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScddController = void 0;
const common_1 = require("@nestjs/common");
const scdd_service_1 = require("./scdd.service");
const create_scdd_dto_1 = require("./dto/create-scdd.dto");
const update_scdd_dto_1 = require("./dto/update-scdd.dto");
const user_decorator_1 = require("../decorators/user.decorator");
const auth_guard_1 = require("../guards/auth.guard");
let ScddController = class ScddController {
    constructor(scddService) {
        this.scddService = scddService;
    }
    create(data, user_id) {
        return this.scddService.create(data, user_id);
    }
    findAll() {
        return this.scddService.findAll();
    }
    findOne(id) {
        return this.scddService.findOne(id);
    }
    async search(filter) {
        return this.scddService.search(filter);
    }
    update(id, data, user_id) {
        return this.scddService.update(id, data, user_id);
    }
    remove(id, user_id) {
        return this.scddService.delete(id, user_id);
    }
};
__decorate([
    (0, common_1.Post)(),
    __param(0, (0, common_1.Body)()),
    __param(1, (0, user_decorator_1.User)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [create_scdd_dto_1.CreateScddDto, Object]),
    __metadata("design:returntype", void 0)
], ScddController.prototype, "create", null);
__decorate([
    (0, common_1.Get)(),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", void 0)
], ScddController.prototype, "findAll", null);
__decorate([
    (0, common_1.Get)(':id'),
    __param(0, (0, common_1.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], ScddController.prototype, "findOne", null);
__decorate([
    (0, common_1.Get)('search/:filter'),
    __param(0, (0, common_1.Param)('filter')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", Promise)
], ScddController.prototype, "search", null);
__decorate([
    (0, common_1.Put)(':id'),
    __param(0, (0, common_1.Param)('id')),
    __param(1, (0, common_1.Body)()),
    __param(2, (0, user_decorator_1.User)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, update_scdd_dto_1.UpdateScddDto, Object]),
    __metadata("design:returntype", void 0)
], ScddController.prototype, "update", null);
__decorate([
    (0, common_1.Delete)(':id'),
    __param(0, (0, common_1.Param)('id')),
    __param(1, (0, user_decorator_1.User)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, Object]),
    __metadata("design:returntype", void 0)
], ScddController.prototype, "remove", null);
ScddController = __decorate([
    (0, common_1.UseGuards)(auth_guard_1.AuthGuard),
    (0, common_1.Controller)('scdd'),
    __metadata("design:paramtypes", [scdd_service_1.ScddService])
], ScddController);
exports.ScddController = ScddController;
//# sourceMappingURL=scdd.controller.js.map