import { UserService } from './user.service';
import { CreateUserDto } from './dto/create-user.dto';
import { UpdateUserDto } from './dto/update-user.dto';
export declare class UserController {
    private readonly userService;
    constructor(userService: UserService);
    create(data: CreateUserDto, company_id: any): Promise<any>;
    findAll(): Promise<({
        name: string;
        username: string;
        email: string;
        password: string;
        status: number;
        company_id: string;
        usuario_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
    } & {})[]>;
    findOne(id: string): Promise<{
        name: string;
        username: string;
        email: string;
        password: string;
        status: number;
        company_id: string;
        usuario_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
    } & {}>;
    getRoles(id: string): Promise<string[]>;
    getPermisions(id: string): Promise<{
        establishment_id: string;
        establishment: string;
        company_id: string;
        role: string;
        permissions: string[];
    }[]>;
    update(id: string, data: UpdateUserDto): Promise<{
        name: string;
        username: string;
        email: string;
        password: string;
        status: number;
        company_id: string;
        usuario_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
    } & {}>;
    remove(id: string): Promise<{
        name: string;
        username: string;
        email: string;
        password: string;
        status: number;
        company_id: string;
        usuario_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
    } & {}>;
}
