import { PrismaService } from 'src/prisma/prisma.service';
import { CreateUserDto } from './dto/create-user.dto';
import { UpdateUserDto } from './dto/update-user.dto';
export declare class UserService {
    private prisma;
    constructor(prisma: PrismaService);
    create(data: CreateUserDto): Promise<any>;
    users(): Promise<({
        name: string;
        username: string;
        email: string;
        password: string;
        status: number;
        company_id: string;
        usuario_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
    } & {})[]>;
    userId(id: string): Promise<{
        name: string;
        username: string;
        email: string;
        password: string;
        status: number;
        company_id: string;
        usuario_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
    } & {}>;
    update(id: string, data: UpdateUserDto): Promise<{
        name: string;
        username: string;
        email: string;
        password: string;
        status: number;
        company_id: string;
        usuario_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
    } & {}>;
    delete(id: string): Promise<{
        name: string;
        username: string;
        email: string;
        password: string;
        status: number;
        company_id: string;
        usuario_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
    } & {}>;
    getRoles(id: string): Promise<string[]>;
    getPermisions(id: string): Promise<{
        establishment_id: string;
        establishment: string;
        company_id: string;
        role: string;
        permissions: string[];
    }[]>;
    ifExist(id: string): Promise<void>;
    tratar_erros_banco(error: any): any;
    criar_historico(user_id: string, data: object): Promise<string>;
    update_historico(user_id: string, old_value: object, new_value: object, historico: string, type: string): Promise<string>;
}
