"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateUsuarioDto = void 0;
const mapped_types_1 = require("@nestjs/mapped-types");
const create_usuario_dto_1 = require("./create-usuario.dto");
const class_validator_1 = require("class-validator");
const custom_validators_1 = require("../../custom-validators/custom-validators");
const cpf_validator_1 = require("../../custom-validators/cpf-validator");
class UpdateUsuarioDto extends (0, mapped_types_1.PartialType)(create_usuario_dto_1.CreateUsuarioDto) {
}
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.Validate)(custom_validators_1.CustomTextValidator),
    (0, class_validator_1.IsString)({ message: 'O campo name deve ser uma string' }),
    (0, class_validator_1.IsNotEmpty)({ message: 'O campo name não pode ser vazio' }),
    __metadata("design:type", String)
], UpdateUsuarioDto.prototype, "name", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsEmail)({}, { message: 'O campo de e-mail deve ser um endereço de e-mail válido' }),
    __metadata("design:type", String)
], UpdateUsuarioDto.prototype, "email", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], UpdateUsuarioDto.prototype, "status", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.Validate)(custom_validators_1.CustomTextValidator),
    __metadata("design:type", String)
], UpdateUsuarioDto.prototype, "rg_ci", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.Validate)(custom_validators_1.CustomTextValidator),
    __metadata("design:type", String)
], UpdateUsuarioDto.prototype, "telefone", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)({ message: "CPF deve ser uma string" }),
    (0, cpf_validator_1.IsValidCPF)(),
    __metadata("design:type", String)
], UpdateUsuarioDto.prototype, "cpf", void 0);
__decorate([
    (0, class_validator_1.IsNotEmpty)({ message: "Perfil debe estar selecionado" }),
    __metadata("design:type", String)
], UpdateUsuarioDto.prototype, "perfil_id", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", String)
], UpdateUsuarioDto.prototype, "establishment_id", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", String)
], UpdateUsuarioDto.prototype, "company_id", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", String)
], UpdateUsuarioDto.prototype, "username", void 0);
exports.UpdateUsuarioDto = UpdateUsuarioDto;
//# sourceMappingURL=update-usuario.dto.js.map