import { UsuarioService } from './usuario.service';
import { CreateUsuarioDto } from './dto/create-usuario.dto';
import { UpdateUsuarioDto } from './dto/update-usuario.dto';
import { UserService } from 'src/user/user.service';
import { FilterUsuarioDto } from './dto/filter-usuario.dto';
import { HttpService } from '@nestjs/axios';
export declare class UsuarioController {
    private readonly usuarioService;
    private readonly userService;
    private readonly httpService;
    constructor(usuarioService: UsuarioService, userService: UserService, httpService: HttpService);
    create(data: CreateUsuarioDto, estab_id: any, company_id: any): Promise<string>;
    findAll(): Promise<({
        User: {
            username: string;
            id: string;
        }[];
    } & {
        name: string;
        email: string;
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
        cpf: string;
        rg_ci: string;
        telefone: string;
        semestre_atual: string;
        periodo: string;
        usuarios_id: number;
        catraca: number;
        perfil_id: string;
    } & {})[]>;
    findPerfil(perfil: string): Promise<({
        User: {
            username: string;
            id: string;
        }[];
    } & {
        name: string;
        email: string;
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
        cpf: string;
        rg_ci: string;
        telefone: string;
        semestre_atual: string;
        periodo: string;
        usuarios_id: number;
        catraca: number;
        perfil_id: string;
    } & {})[]>;
    search(perfil: string, dados: FilterUsuarioDto): Promise<({
        User: {
            username: string;
            id: string;
        }[];
    } & {
        name: string;
        email: string;
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
        cpf: string;
        rg_ci: string;
        telefone: string;
        semestre_atual: string;
        periodo: string;
        usuarios_id: number;
        catraca: number;
        perfil_id: string;
    } & {})[]>;
    update(id: string, updateUsuarioDto: UpdateUsuarioDto): Promise<{
        name: string;
        email: string;
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
        cpf: string;
        rg_ci: string;
        telefone: string;
        semestre_atual: string;
        periodo: string;
        usuarios_id: number;
        catraca: number;
        perfil_id: string;
    } & {}>;
    remove(id: string): Promise<{
        name: string;
        email: string;
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
        cpf: string;
        rg_ci: string;
        telefone: string;
        semestre_atual: string;
        periodo: string;
        usuarios_id: number;
        catraca: number;
        perfil_id: string;
    } & {}>;
    importarAlunos(): Promise<number | any[]>;
    getAlunos(): Promise<any>;
}
