"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UsuarioController = void 0;
const common_1 = require("@nestjs/common");
const usuario_service_1 = require("./usuario.service");
const create_usuario_dto_1 = require("./dto/create-usuario.dto");
const update_usuario_dto_1 = require("./dto/update-usuario.dto");
const establishment_decorator_1 = require("../decorators/establishment.decorator");
const company_decorator_1 = require("../decorators/company_decorator");
const user_service_1 = require("../user/user.service");
const auth_guard_1 = require("../guards/auth.guard");
const filter_usuario_dto_1 = require("./dto/filter-usuario.dto");
const axios_1 = require("@nestjs/axios");
const axios_2 = require("axios");
let UsuarioController = class UsuarioController {
    constructor(usuarioService, userService, httpService) {
        this.usuarioService = usuarioService;
        this.userService = userService;
        this.httpService = httpService;
    }
    async create(data, estab_id, company_id) {
        data.establishment_id = estab_id;
        data.company_id = company_id;
        const username = data.username;
        delete (data.username);
        const usuario = await this.usuarioService.create(data);
        if (usuario && data.perfil_id == '64c7d1eb239bc21e224aad11') {
            if (username != "") {
                await this.userService.create({
                    name: data.name,
                    email: data.email,
                    company_id: company_id,
                    password: data.rg_ci,
                    username: username,
                    status: 1,
                    usuario_id: usuario.id
                });
            }
            else {
                throw new common_1.BadRequestException("Si estas cadastrando un funcionario debes enviar e campo USERNAME");
            }
        }
        return username;
    }
    findAll() {
        return this.usuarioService.findAll();
    }
    findPerfil(perfil) {
        return this.usuarioService.findPerfil(perfil);
    }
    search(perfil, dados) {
        return this.usuarioService.search(perfil, dados);
    }
    update(id, updateUsuarioDto) {
        return this.usuarioService.update(id, updateUsuarioDto);
    }
    remove(id) {
        return this.usuarioService.delete(id);
    }
    async importarAlunos() {
        const lista_alunos_json = await this.getAlunos();
        const lista_alunos = lista_alunos_json.map((alunoJson) => ({
            usuarios_id: alunoJson.usuarios_id,
            doc_oficial: alunoJson.doc_oficial,
            telefone: alunoJson.telefone,
            cpf: alunoJson.cpf,
            semestre: alunoJson.semestre,
            periodo: alunoJson.periodo,
            email: alunoJson.email,
            config_filial_id: alunoJson.config_filial_id,
            numero_catraca: alunoJson.numero_catraca,
            nome_usuario: alunoJson.nome_usuario,
        }));
        let test = [];
        const total = lista_alunos.length;
        return total;
        lista_alunos.forEach(async (element) => {
            var company_id = '647e60c86f226de98c5719b1';
            if (element.config_filial_id == 2) {
                company_id = '647e60246f226de98c5719af';
            }
            else {
                company_id = '647e60c86f226de98c5719b1';
            }
            const aluno = {
                name: element.nome_usuario,
                status: 1,
                catraca: element.numero_catraca,
                cpf: element.cpf,
                rg_ci: element.doc_oficial,
                company_id: company_id,
                email: element.email,
                semestre_atual: element.semestre,
                periodo: element.periodo,
                usuarios_id: element.usuarios_id,
                telefone: element.telefone,
                perfil_id: '64c7d1f5239bc21e224aad12'
            };
            test.push(aluno);
            if (test.length == 6619) {
                console.log(test);
                const create_alunos = await this.usuarioService.createImportMany(test);
                test = [];
            }
        });
        return test;
    }
    async getAlunos() {
        try {
            const response = await axios_2.default.get('https://api.ucpvirtual.com.br/api/getAlunosAtivos');
            if (response.status === 200) {
                const data = response.data;
                return data;
            }
            else {
                throw new Error('Erro ao acessar a API externa');
            }
        }
        catch (error) {
            throw new Error('Erro ao importar alunos: ' + error.message);
        }
    }
};
__decorate([
    (0, common_1.Post)(),
    __param(0, (0, common_1.Body)()),
    __param(1, (0, establishment_decorator_1.Establishment)()),
    __param(2, (0, company_decorator_1.Company)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [create_usuario_dto_1.CreateUsuarioDto, Object, Object]),
    __metadata("design:returntype", Promise)
], UsuarioController.prototype, "create", null);
__decorate([
    (0, common_1.Get)(),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", void 0)
], UsuarioController.prototype, "findAll", null);
__decorate([
    (0, common_1.Get)('perfil/:perfil'),
    __param(0, (0, common_1.Param)('perfil')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], UsuarioController.prototype, "findPerfil", null);
__decorate([
    (0, common_1.Post)('search/:perfil'),
    __param(0, (0, common_1.Param)('perfil')),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, filter_usuario_dto_1.FilterUsuarioDto]),
    __metadata("design:returntype", void 0)
], UsuarioController.prototype, "search", null);
__decorate([
    (0, common_1.Put)(':id'),
    __param(0, (0, common_1.Param)('id')),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, update_usuario_dto_1.UpdateUsuarioDto]),
    __metadata("design:returntype", void 0)
], UsuarioController.prototype, "update", null);
__decorate([
    (0, common_1.Delete)(':id'),
    __param(0, (0, common_1.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], UsuarioController.prototype, "remove", null);
__decorate([
    (0, common_1.Get)('importAlunos'),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], UsuarioController.prototype, "importarAlunos", null);
UsuarioController = __decorate([
    (0, common_1.UseGuards)(auth_guard_1.AuthGuard),
    (0, common_1.Controller)('usuario'),
    __metadata("design:paramtypes", [usuario_service_1.UsuarioService, user_service_1.UserService, axios_1.HttpService])
], UsuarioController);
exports.UsuarioController = UsuarioController;
//# sourceMappingURL=usuario.controller.js.map