import { CreateUsuarioDto } from './dto/create-usuario.dto';
import { UpdateUsuarioDto } from './dto/update-usuario.dto';
import { PrismaService } from 'src/prisma/prisma.service';
import { FilterUsuarioDto } from './dto/filter-usuario.dto';
import { ImportAlunosDto } from './dto/import-alunos.dto';
export declare class UsuarioService {
    private prisma;
    constructor(prisma: PrismaService);
    create(data: CreateUsuarioDto): Promise<any>;
    findAll(): Promise<({
        User: {
            username: string;
            id: string;
        }[];
    } & {
        name: string;
        email: string;
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
        cpf: string;
        rg_ci: string;
        telefone: string;
        semestre_atual: string;
        periodo: string;
        usuarios_id: number;
        catraca: number;
        perfil_id: string;
    } & {})[]>;
    findPerfil(perfil_id: string): Promise<({
        User: {
            username: string;
            id: string;
        }[];
    } & {
        name: string;
        email: string;
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
        cpf: string;
        rg_ci: string;
        telefone: string;
        semestre_atual: string;
        periodo: string;
        usuarios_id: number;
        catraca: number;
        perfil_id: string;
    } & {})[]>;
    search(perfil_id: string, dados: FilterUsuarioDto): Promise<({
        User: {
            username: string;
            id: string;
        }[];
    } & {
        name: string;
        email: string;
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
        cpf: string;
        rg_ci: string;
        telefone: string;
        semestre_atual: string;
        periodo: string;
        usuarios_id: number;
        catraca: number;
        perfil_id: string;
    } & {})[]>;
    usuarioId(id: string): Promise<{
        name: string;
        email: string;
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
        cpf: string;
        rg_ci: string;
        telefone: string;
        semestre_atual: string;
        periodo: string;
        usuarios_id: number;
        catraca: number;
        perfil_id: string;
    } & {}>;
    update(id: string, data: UpdateUsuarioDto): Promise<{
        name: string;
        email: string;
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
        cpf: string;
        rg_ci: string;
        telefone: string;
        semestre_atual: string;
        periodo: string;
        usuarios_id: number;
        catraca: number;
        perfil_id: string;
    } & {}>;
    delete(id: string): Promise<{
        name: string;
        email: string;
        status: number;
        company_id: string;
        id: string;
        createdAt: Date;
        updatedAt: Date;
        establishment_id: string;
        cpf: string;
        rg_ci: string;
        telefone: string;
        semestre_atual: string;
        periodo: string;
        usuarios_id: number;
        catraca: number;
        perfil_id: string;
    } & {}>;
    ifExist(id: string): Promise<void>;
    tratar_erros_banco(error: any): any;
    ifExistCPF(cpf: string): Promise<void>;
    createImport(data: ImportAlunosDto): Promise<any>;
    createImportMany(data: ImportAlunosDto[]): Promise<any>;
    ifExistUsuarioID(usuarios_id: number): Promise<boolean>;
}
