import { Module, forwardRef } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { AuthController } from "./auth.controller";
import { UserModule } from "src/user/user.module";
import { PrismaModule } from "src/prisma/prisma.module";
import { AuthService } from "./auth.service";
import { CACHE_MANAGER, CacheModule } from "@nestjs/cache-manager";
import { EmprestimoModule } from "src/emprestimo/emprestimo.module";

@Module({
    imports: [JwtModule.register({
        secret: "qC9CHPRNTv&ry98#ZpvpvyZSy83M#uTz",
    }),
    forwardRef(() => UserModule),
    forwardRef(() => EmprestimoModule),
        PrismaModule,
        CacheModule.register(),
    ],
    
    controllers: [AuthController],
    providers: [AuthService,{ provide: CACHE_MANAGER, useFactory: () => CacheModule.register()}],
    exports: [AuthService]
})
export class AuthModule {

}