import { Module, forwardRef } from '@nestjs/common';
import { AutorService } from './autor.service';
import { AutorController } from './autor.controller';
import { PrismaModule } from 'src/prisma/prisma.module';
import { AuthGuard } from 'src/guards/auth.guard';
import { AuthService } from 'src/auth/auth.service';
import { AuthModule } from 'src/auth/auth.module';
import { UserService } from 'src/user/user.service';

@Module({
  imports:[PrismaModule, forwardRef(()=>AuthModule)],
  controllers: [AutorController],
  providers: [AutorService, UserService],
  exports:[AutorService]
})
export class AutorModule {}
