import { IsNotEmpty, IsNumber, IsOptional, IsString, Validate } from "class-validator";
import { CustomTextValidator } from "src/custom-validators/custom-validators";

export class CreateAutorDto {
    @IsNotEmpty({message:"El nombre del autor no debe estar vazio"})
    @IsString()
    @Validate(CustomTextValidator)
    nome: string;

    @IsString()
    descricao: string

    @IsNumber({},{message:"El status debe ser um numero 1(activo), 0(inactivo)"})
    status: number

    @IsOptional()
    company_id: string
}
