import { PartialType } from '@nestjs/mapped-types';
import { CreateAutorDto } from './create-autor.dto';
import { IsNotEmpty, IsNumber, IsOptional, IsString, Validate, validate } from 'class-validator';
import { CustomTextValidator } from 'src/custom-validators/custom-validators';

export class UpdateAutorDto extends PartialType(CreateAutorDto) {
    @IsNotEmpty({message:"El nome del autor no puede estar vazio"})
    @IsString()
    @Validate(CustomTextValidator)
    nome: string;

    @IsOptional()
    @IsString()
    descricao: string

    @IsOptional()
    @IsNumber({},{message:"el status debe ser un numero"})
    status: number
}
