import { Module, forwardRef } from '@nestjs/common';
import { CategoriaService } from './categoria.service';
import { CategoriaController } from './categoria.controller';
import { PrismaModule } from 'src/prisma/prisma.module';
import { UserService } from 'src/user/user.service';
import { AuthModule } from 'src/auth/auth.module';

@Module({
  imports:[PrismaModule, forwardRef(()=>AuthModule)],
  controllers: [CategoriaController],
  providers: [CategoriaService, UserService],
  exports:[CategoriaService]
})
export class CategoriaModule {}
