import { IsNotEmpty, IsNumber, IsOptional, IsString, Validate } from "class-validator";
import { CustomTextValidator } from "src/custom-validators/custom-validators";

export class CreateCategoriaDto {
    @IsString({message:"O campo nome deve ser preenchido com um texto"})
    @IsNotEmpty({message:"O Campo nome não deve ser vazio!"})
    @Validate(CustomTextValidator)
    nome: string;

    @IsString()
    descricao: string

    @IsNumber()
    status: number

    @IsOptional()
    company_id: string
}
