import { PartialType } from '@nestjs/mapped-types';
import { CreateCategoriaDto } from './create-categoria.dto';
import { IsNumber, IsOptional, IsString, Validate } from 'class-validator';
import { CustomTextValidator } from 'src/custom-validators/custom-validators';

export class UpdateCategoriaDto extends PartialType(CreateCategoriaDto) {
    @IsOptional()
    @IsString()
    @Validate(CustomTextValidator)
    nome: string;

    @IsOptional()
    @IsString()
    descricao: string

    @IsOptional()
    @IsNumber()
    status: number
}
