import { Module, forwardRef } from '@nestjs/common';
import { CutterService } from './cutter.service';
import { CutterController } from './cutter.controller';
import { PrismaModule } from 'src/prisma/prisma.module';
import { AuthModule } from 'src/auth/auth.module';
import { UserService } from 'src/user/user.service';

@Module({
  imports:[PrismaModule, forwardRef(()=>AuthModule)],
  controllers: [CutterController],
  providers: [CutterService, UserService],
  exports:[CutterService]
})
export class CutterModule {}
