import { PartialType } from '@nestjs/mapped-types';
import { CreateCutterDto } from './create-cutter.dto';
import { IsJSON, IsNumber, IsOptional, IsString, Validate } from 'class-validator';
import { CustomTextValidator } from 'src/custom-validators/custom-validators';

export class UpdateCutterDto extends PartialType(CreateCutterDto) {
    @IsOptional()
    @Validate(CustomTextValidator)
    name: string

    @IsOptional()
    @IsNumber()
    status: number

    @IsOptional()
    // @IsString()
    historico: string
}
