import { ExecutionContext, NotFoundException, createParamDecorator } from "@nestjs/common";

export const Establishment = createParamDecorator((_: unknown, context: ExecutionContext) => {
    const request = context.switchToHttp().getRequest()
    const establishment_id = request.headers.establishment_id

    if (establishment_id) {
        return establishment_id
    } else {
        throw new NotFoundException("Estabelecimento não encontrado no Request. Certifique-se de que esta passando establishment_id no headers da sua chamada")
    }

})