import { Type } from "class-transformer";
import { IsDate, IsDateString, IsNotEmpty, IsNumber, IsOptional, IsString, Validate, isISO8601, isObject } from "class-validator";
import { CustomTextValidator } from "src/custom-validators/custom-validators";

export class FilterEmprestimoDto {
    @IsNotEmpty({ message: "status obrigatorio" })
    @IsNumber({}, { message: "status deve ser um numero inteiro" })
    status: number

    @IsOptional()
    @IsString()
    type: string

    @IsOptional()
    @IsString()
    text: string
}
