import { Type } from "class-transformer";
import { IsDate, IsDateString, IsNotEmpty, IsNumber, IsOptional, IsString, Validate, isISO8601, isObject } from "class-validator";
import { CustomTextValidator } from "src/custom-validators/custom-validators";

export class FinalizarEmprestimoDto {
    @IsOptional()
    @IsNumber()
    status: number

    @IsNotEmpty()
    @IsDateString()
    @Type(() => isISO8601)
    data_entrega: Date

    @IsOptional()
    @IsString()
    descricao:string

    @IsOptional()
    historico: string
}
