import { PartialType } from '@nestjs/mapped-types';
import { CreateEstablishmentDto } from './create-establishment.dto';
import { IsNumber, IsOptional, IsString } from 'class-validator';

export class UpdateEstablishmentDto extends PartialType(CreateEstablishmentDto) {
    @IsOptional()
    @IsString()
    name: string

    @IsOptional()
    @IsString()
    sigla:string

    @IsOptional()
    @IsString()
    company_id: string

    @IsOptional()
    @IsNumber()
    status:number
}
