import { Module, forwardRef } from '@nestjs/common';
import { EstablishmentService } from './establishment.service';
import { EstablishmentController } from './establishment.controller';
import { PrismaModule } from 'src/prisma/prisma.module';
import { AuthModule } from 'src/auth/auth.module';
import { UserService } from 'src/user/user.service';

@Module({
  imports:[PrismaModule, forwardRef(() => AuthModule)],
  controllers: [EstablishmentController],
  providers: [EstablishmentService, UserService]
})
export class EstablishmentModule {}
