import { CACHE_MANAGER } from '@nestjs/cache-manager';
import { Cache } from "cache-manager";
import { Injectable, CanActivate, ExecutionContext, Inject } from '@nestjs/common';
import { Observable } from 'rxjs';
import { AuthService } from 'src/auth/auth.service';
import { UserService } from 'src/user/user.service';

@Injectable()
export class AuthGuard implements CanActivate {

    constructor(
        private readonly authService: AuthService,
        private readonly userService: UserService,
        // @Inject(CACHE_MANAGER) private cacheManager: Cache
    ) { }


    async canActivate(context: ExecutionContext,) {
        try {

            const request = context.switchToHttp().getRequest()
            const { authorization } = request.headers
            const data = this.authService.checkToken((authorization ?? ' ').split(' ')[1])
          
            // const value = await this.cacheManager.get('permissions')
            // if (value) {
            //     console.log("teste")
            // }else{
            //     console.log("sem cach")
            // }
            // const permissions = await this.userService.getRoles(data.sub)
            // console.log('Permisions ',permissions)
            // request.tokePayLoad = data

            request.user = data.sub
            return true
        } catch (error) {
            // console.log(error)
            return false
        }

    }
}