import { PartialType } from '@nestjs/mapped-types';
import { CreateLivroDto } from './create-livro.dto';
import { IsDateString, IsNumber, IsOptional, IsString, isNumber } from 'class-validator';

export class UpdateLivroDto extends PartialType(CreateLivroDto) {
    @IsOptional()
    @IsString()
    titulo: string;
   
    @IsOptional()
    @IsString()
    editorial: string


    @IsOptional()
    @IsNumber({}, { message: "El campo año debe ser un numero" })
    ano: number

    @IsOptional()
    @IsString({ message: "El campo Categoria_id debe ser un texto" })
    categoria_id: string

    @IsOptional()
    @IsString({ message: "El campo Fila debe ser un texto" })
    fila: string

    @IsOptional()
    @IsString({ message: "El campo Colula debe ser un texto" })
    coluna: string

    @IsOptional()
    @IsString({ message: "El campo Seccion debe ser un texto" })
    secao: string

    @IsOptional()
    @IsString({ message: "El Codigo debe ser una string" })
    codigo: string


    @IsOptional()
    @IsString()
    descricao: string

    @IsOptional()
    @IsString()
    autor_id: string


    @IsOptional()
    @IsNumber()
    status?: number

    @IsOptional()
    @IsString()
    establishment_id: string

    @IsOptional()
    @IsString({ message: "El campo fornecedor_id debe ser un texto" })
    fornecedor_id: string

    @IsOptional()
    @IsNumber({}, { message: "El campo edicion debe ser un numero" })
    edicao: number

    @IsOptional()
    @IsNumber({}, { message: "El campo volume debe ser un numero" })
    volume: string

    @IsOptional()
    @IsNumber({}, { message: "El campo exemplar debe ser un numero" })
    exemplar: number

    @IsOptional()
    @IsNumber({}, { message: "El campo total_paginas debe ser un numero" })
    total_paginas: number

    @IsOptional()
    @IsNumber({}, { message: "El campo costo debe ser un numero" })
    custo: number

    @IsOptional()
    @IsDateString({}, { message: "data_aquisicao debe ser una string de datas" })
    data_aquisicao: Date

}
