import { Module, forwardRef } from '@nestjs/common';
import { LivroController } from './livro.controller';
import { PrismaModule } from 'src/prisma/prisma.module';
import { UserService } from 'src/user/user.service';
import { AuthModule } from 'src/auth/auth.module';
import { LivroService } from './livro.service';
import { LivroScddService } from 'src/livro_scdd/livro_scdd.service';
import { LivroAutorCutterService } from 'src/livro_autor_cutter/livro_autor_cutter.service';

@Module({
  imports:[PrismaModule,forwardRef(() => AuthModule)],
  controllers: [LivroController],
  providers: [LivroService,UserService, LivroScddService, LivroAutorCutterService]
})
export class LivroModule {}
