import { Transform } from "class-transformer";
import { IsNotEmpty, IsNumber, IsOptional, IsString } from "class-validator";

export class CreateLivroAutorCutterDto {

    @IsNotEmpty({ message: "El campo scdd debe estar selecionado" })
    @IsString({ message: "El campo scdd_id debe ser un texto" })
    livro_id: string

    @IsNotEmpty({ message: "El campo autor debe estar selecionado" })
    @IsString({ message: "El campo autor_id debe ser un texto" })
    autor_id: string

    @IsNotEmpty({ message: "El campo cutter debe estar selecionado" })
    @IsString({ message: "El campo cutter_id debe ser un texto" })
    cutter_id: string

    @IsOptional()
    @IsNumber()
    status:number
}
