import { Transform } from "class-transformer";
import { IsArray, IsNotEmpty, IsNumber, IsOptional, IsString } from "class-validator";

export class CreateManyLivroAutor {

    @IsNotEmpty({ message: "El campo scdd debe estar selecionado" })
    @IsString({ message: "El campo scdd_id debe ser un texto" })
    livro_id: string

    @IsNotEmpty({ message: "El campo autor debe estar selecionado" })
    @IsArray({ message: "O campo autors deve ser una lista de autores: ['nombre1','nombre2']" })
    autors: string[]

    @IsNotEmpty({ message: "El campo cutter debe estar selecionado" })
    @IsString({ message: "El campo cutter_id debe ser un texto" })
    cutter_id: string

    @IsOptional()
    @IsNumber()
    status: number
}
