import { Controller, Get, Post, Body, Patch, Param, Delete, UseGuards } from '@nestjs/common';
import { LivroAutorCutterService } from './livro_autor_cutter.service';
import { CreateLivroAutorCutterDto } from './dto/create-livro_autor_cutter.dto';
import { UpdateLivroAutorCutterDto } from './dto/update-livro_autor_cutter.dto';
import { AuthGuard } from 'src/guards/auth.guard';

@UseGuards(AuthGuard)
@Controller('livro-autor-cutter')
export class LivroAutorCutterController {
  constructor(private readonly livroAutorCutterService: LivroAutorCutterService) {}

  @Post()
  create(@Body() createLivroAutorCutterDto: CreateLivroAutorCutterDto) {
    return this.livroAutorCutterService.create(createLivroAutorCutterDto);
  }

  @Get(':id')
  findAll(@Param('id')  livro_id: string) {
    return this.livroAutorCutterService.findAll(livro_id);
  }


  @Patch(':id')
  update(@Param('id') id: string, @Body() updateLivroAutorCutterDto: UpdateLivroAutorCutterDto) {
    return this.livroAutorCutterService.update(id, updateLivroAutorCutterDto);
  }

  @Delete(':id')
  remove(@Param('id') id: string) {
    return this.livroAutorCutterService.delete(id);
  }
}
