import { Module, forwardRef } from '@nestjs/common';
import { LivroAutorCutterService } from './livro_autor_cutter.service';
import { LivroAutorCutterController } from './livro_autor_cutter.controller';
import { PrismaModule } from 'src/prisma/prisma.module';
import { AuthModule } from 'src/auth/auth.module';
import { UserService } from 'src/user/user.service';

@Module({
  imports:[PrismaModule,forwardRef(() => AuthModule)], 
  controllers: [LivroAutorCutterController],
  providers: [LivroAutorCutterService, UserService],
  exports:[LivroAutorCutterService]
})
export class LivroAutorCutterModule {}
