import { Controller, Get, Post, Body, Patch, Param, Delete, UseGuards, Put } from '@nestjs/common';
import { LivroScddService } from './livro_scdd.service';
import { CreateLivroScddDto } from './dto/create-livro_scdd.dto';
import { UpdateLivroScddDto } from './dto/update-livro_scdd.dto';
import { User } from 'src/decorators/user.decorator';
import { AuthGuard } from 'src/guards/auth.guard';

@UseGuards(AuthGuard)
@Controller('livro-scdd')
export class LivroScddController {
  constructor(private readonly livroScddService: LivroScddService) {}


  @Post()
  create(@Body() data: CreateLivroScddDto, @User() user_id) {
    return this.livroScddService.create(data, user_id);
  }

  // @Get()
  // findAll() {
  //   return this.livroScddService.findAll();
  // }


  @Get(':id')
  getLivroId(@Param('id') livro_id: string) {
    return this.livroScddService.getLivroId(livro_id);
  }


  @Put(':id')
  update(@Param('id') id: string, @Body() data: UpdateLivroScddDto, @User() user_id) {
    return this.livroScddService.update(id, data, user_id);
  }

  @Delete(':id')
  remove(@Param('id') id: string, @User() user_id) {
    return this.livroScddService.delete(id, user_id)
  }


}
