import { Module, forwardRef } from '@nestjs/common';
import { LivroScddService } from './livro_scdd.service';
import { LivroScddController } from './livro_scdd.controller';
import { AuthModule } from 'src/auth/auth.module';
import { PrismaModule } from 'src/prisma/prisma.module';
import { UserService } from 'src/user/user.service';

@Module({
  imports:[PrismaModule, forwardRef(()=>AuthModule)],
  controllers: [LivroScddController],
  providers: [LivroScddService, UserService],
  exports:[LivroScddService]
})
export class LivroScddModule {}
