import { NestFactory } from '@nestjs/core';
import { AppModule } from './app.module';
import { PrismaClient } from '@prisma/client';
import { ValidationPipe, ClassSerializerInterceptor } from '@nestjs/common';
// import { ClassTransformer } from 'class-transformer';


async function bootstrap() {
  const app = await NestFactory.create(AppModule);

  // app.useGlobalInterceptors(new ClassSerializerInterceptor(app.get(ClassTransformer)));

  app.useGlobalPipes(new ValidationPipe())

  const prisma = new PrismaClient();

  app.use((req, _, next) => {
    req['prisma'] = prisma;
    next();
  });
  app.enableCors(); // segundo a doc so precisa disso ??
  await app.listen(5172);
}
bootstrap();