import { Module, forwardRef } from '@nestjs/common';
import { PerfilService } from './perfil.service';
import { PerfilController } from './perfil.controller';
import { PrismaModule } from 'src/prisma/prisma.module';
import { AuthModule } from 'src/auth/auth.module';
import { UserService } from 'src/user/user.service';

@Module({
  imports: [PrismaModule, forwardRef(() => AuthModule)],
  controllers: [PerfilController],
  providers: [PerfilService, UserService]
})
export class PerfilModule { }
