import { Injectable } from '@nestjs/common';
import { CreatePerfilDto } from './dto/create-perfil.dto';
import { UpdatePerfilDto } from './dto/update-perfil.dto';
import { PrismaService } from 'src/prisma/prisma.service';

@Injectable()
export class PerfilService {

  constructor(private prisma: PrismaService) { }

  async findAll() {
    return this.prisma.perfil.findMany({
      where: {
        status: 1
      }
    });
  }



  async create(data: CreatePerfilDto) {
 
    return this.prisma.perfil.create({
      data
    });

  }


}
