import { Module, forwardRef } from '@nestjs/common';
import { PermissionService } from './permission.service';
import { PermissionController } from './permission.controller';
import { PrismaModule } from 'src/prisma/prisma.module';
import { AuthModule } from 'src/auth/auth.module';
import { UserService } from 'src/user/user.service';

@Module({
  imports:[PrismaModule,forwardRef(() => AuthModule)],
  controllers: [PermissionController],
  providers: [PermissionService,UserService]
})
export class PermissionModule {}
