import { IsArray, IsNotEmpty, IsOptional, IsString, ValidateIf } from "class-validator";

export class CreatePermissionHasRoleDto {

    @IsString()
    role_id: string

    @IsNotEmpty()
    @ValidateIf((object, value) => !object.permission_id)
    @IsArray({message:"permissions deve ser um array de ids de permissios"})
    permissions:string[]

    @IsNotEmpty({message:"permission_id ou permissions nao pode ser vazio"})
    @ValidateIf((object, value) => !object.permissions)
    @IsString({message:"permission_id"})
    permission_id: string
}
