import { Module, forwardRef } from '@nestjs/common';
import { PermissionHasRoleService } from './permission_has_role.service';
import { PermissionHasRoleController } from './permission_has_role.controller';
import { PrismaModule } from 'src/prisma/prisma.module';
import { UserService } from 'src/user/user.service';
import { AuthModule } from 'src/auth/auth.module';
import { RoleService } from 'src/role/role.service';

@Module({
  imports:[PrismaModule,forwardRef(()=>AuthModule)],
  controllers: [PermissionHasRoleController],
  providers: [PermissionHasRoleService, UserService, RoleService]
})
export class PermissionHasRoleModule {}
