import { PartialType } from '@nestjs/mapped-types';
import { CreateRoleDto } from './create-role.dto';
import { IsNumber, IsOptional, IsString } from 'class-validator';

export class UpdateRoleDto extends PartialType(CreateRoleDto) {
    @IsOptional()
    @IsString()
    name: string

    @IsOptional()
    @IsString()
    establishment_id: string

    @IsOptional()
    @IsNumber()
    status:number

    @IsOptional()
    permissions:string[]

    @IsOptional()
    role_id:string
}
