import { PartialType } from '@nestjs/mapped-types';
import { CreateScddDto } from './create-scdd.dto';
import { IsNumber, IsOptional, Validate } from 'class-validator';
import { CustomTextValidator } from 'src/custom-validators/custom-validators';

export class UpdateScddDto extends PartialType(CreateScddDto) {
    @IsOptional()
    @Validate(CustomTextValidator)
    name: string

    @IsOptional()
    @IsNumber()
    status: number

    @IsOptional()
    historico: string
}
