import { Module, forwardRef } from '@nestjs/common';
import { ScddService } from './scdd.service';
import { ScddController } from './scdd.controller';
import { UserService } from 'src/user/user.service';
import { PrismaModule } from 'src/prisma/prisma.module';
import { AuthModule } from 'src/auth/auth.module';

@Module({
  imports:[PrismaModule, forwardRef(()=>AuthModule)],
  controllers: [ScddController],
  providers: [ScddService, UserService],
  exports:[ScddService]
})
export class ScddModule {}
