import { Injectable } from '@nestjs/common';
import { CreateUserHasRoleDto } from './dto/create-user_has_role.dto';
import { PrismaService } from 'src/prisma/prisma.service';


@Injectable()
export class UserHasRoleService {

  constructor(private prisma: PrismaService) { }

  async create(data: CreateUserHasRoleDto) {
    this.removeAll(data.user_id)
    if(data.roles.length > 0){
      var roles = []
      data.roles.forEach( iten => {
        roles.push({role_id:iten, user_id: data.user_id})
      })
      return this.prisma.user_has_role.createMany({ data:roles })
    }
    
  }


  findAll() {
    return `This action returns all userHasRole`;
  }


  removeAll(user_id: string) {
    return this.prisma.user_has_role.deleteMany({
      where: {
        user_id: user_id
      }
    })
  }
}
