import { IsEmail, IsNotEmpty, IsNumber, IsOptional, IsString, IsStrongPassword, Validate, isNotEmpty } from "class-validator";
import { IsValidCPF } from "src/custom-validators/cpf-validator";
import { CustomTextValidator } from "src/custom-validators/custom-validators";

export class ImportAlunosDto {

    @Validate(CustomTextValidator)
    @IsString({ message: 'O campo name deve ser uma string' })
    @IsNotEmpty({ message: 'O campo name não pode ser vazio' })
    name: string;

    // @IsEmail({}, { message: 'O campo de e-mail deve ser um endereço de e-mail válido' })
    @IsString()
    email: string;

    @IsOptional()
    @IsNumber()
    status: number

    // @Validate(CustomTextValidator)
    @IsString()
    rg_ci: string

    // @Validate(CustomTextValidator)
    @IsString()
    telefone: string

    @IsOptional()
    @IsString({ message: "CPF deve ser uma string" })
    // @IsValidCPF()
    cpf: string

    @IsNotEmpty({message:"Perfil debe estar selecionado"})
    perfil_id:string

    // @IsOptional()
    // establishment_id: string

    @IsOptional()
    company_id: string

    // @IsOptional()
    // username:string

    @IsOptional()
    @IsNumber()
    usuarios_id: number

    @IsOptional()
    @IsString()
    semestre_atual: string

    @IsOptional()
    @IsString()
    periodo: string

    @IsOptional()
    @IsNumber()
    catraca: number

}
